export type Resolve = (value: any) => void;
export type InterruptibleRejectType = (error: any) => void;
export type UseAsyncOrderType = {
    task: ((resolve?: Resolve, reject?: InterruptibleRejectType, index?: number) => void)[];
    option?: {
        /**
         *  Delay execution
         */
        delay?: number;
        /**
         * Preparation phase callback
         * @returns void
         */
        onReady?: () => void;
        /**
         * Successful callback
         * @param result any
         * @returns void
         */
        onSuccess?: (result: unknown) => void;
        /**
         * Error callback
         * @param err unknown
         * @returns void
         */
        onError?: (err: unknown) => void;
    };
};
export default function useAsyncOrder({ task, option }: UseAsyncOrderType): void;
