import { ref, watch } from "vue";
import useDebounceFn from "../useDebounceFn";
function useDebounce(value, options) {
  const debounced = ref(value.value);
  const { run } = useDebounceFn(() => debounced.value = value.value, options);
  watch(value, () => run(), { deep: true });
  return debounced;
}
export {
  useDebounce as default
};
