import { BasicTarget } from '../utils/domTarget';
export interface UseFocusWithinOptions {
    /**
     * Callback to be executed on focus
     * @param e FocusEvent
     * @returns void
     */
    onFocus?: (e: FocusEvent) => void;
    /**
     * Callback to be executed on blur
     * @param e FocusEvent
     * @returns void
     */
    onBlur?: (e: FocusEvent) => void;
    /**
     * Callback to be executed on focus change
     * @param isFocusWithin boolean
     * @returns void
     */
    onChange?: (isFocusWithin: boolean) => void;
}
export default function useFocusWithin(
/**
 * DOM element or ref
 */
target: BasicTarget, options?: UseFocusWithinOptions): Readonly<import("vue").Ref<boolean>>;
