import { ref, watchEffect, isRef, unref } from "vue";
function useInterval(fn, delay, options) {
  const immediate = options == null ? void 0 : options.immediate;
  const fnRef = ref(fn);
  watchEffect((onInvalidate) => {
    if (isRef(delay)) {
      if (typeof delay.value !== "number" || delay.value < 0)
        return;
    } else {
      if (typeof delay !== "number" || delay < 0)
        return;
    }
    if (immediate) {
      fnRef.value();
    }
    const _deply = unref(delay);
    const timer = setInterval(() => {
      fnRef.value();
    }, _deply);
    onInvalidate(() => {
      clearInterval(timer);
    });
  });
}
export {
  useInterval as default
};
