import { BasicTarget } from '../utils/domTarget';
import { DeepReadonly, Ref } from 'vue';
export interface UseLongPressOptions {
    delay?: number;
    minUpdateTime?: number;
    cancelOnMove?: boolean;
    modifiers?: LongPressModifiers;
}
export interface LongPressModifiers {
    stop?: boolean;
    once?: boolean;
    prevent?: boolean;
    capture?: boolean;
    self?: boolean;
}
declare const useLongPress: (target: BasicTarget, options?: UseLongPressOptions) => {
    pressingTime: DeepReadonly<Ref<number>>;
    isPressing: DeepReadonly<Ref<boolean>>;
};
export default useLongPress;
