import { onMounted, onBeforeUnmount, nextTick } from "vue";
function useWinResize(Action = () => {
}) {
  const fn = () => {
    nextTick(() => {
      Action();
    });
  };
  onMounted(() => {
    window.addEventListener("resize", fn, false);
  });
  onBeforeUnmount(() => {
    window.removeEventListener("resize", fn);
  });
  return null;
}
export {
  useWinResize as default
};
