"use strict";
const vue = require("vue");
const useDebounceFn = require("../useDebounceFn");
function useDebounce(value, options) {
  const debounced = vue.ref(value.value);
  const { run } = useDebounceFn(() => debounced.value = value.value, options);
  vue.watch(value, () => run(), { deep: true });
  return debounced;
}
module.exports = useDebounce;
