"use strict";
const index = require("../index");
const useEventListener = require("../useEventListener");
function useHover(target, options) {
  const { onEnter, onLeave, onChange } = options || {};
  const [state, { setTrue, setFalse }] = index.useBoolean(false);
  useEventListener(
    "mouseenter",
    () => {
      onEnter == null ? void 0 : onEnter();
      setTrue();
      onChange == null ? void 0 : onChange(true);
    },
    {
      target
    }
  );
  useEventListener(
    "mouseleave",
    () => {
      onLeave == null ? void 0 : onLeave();
      setFalse();
      onChange == null ? void 0 : onChange(false);
    },
    {
      target
    }
  );
  return state;
}
module.exports = useHover;
