"use strict";
const vue = require("vue");
function useInterval(fn, delay, options) {
  const immediate = options == null ? void 0 : options.immediate;
  const fnRef = vue.ref(fn);
  vue.watchEffect((onInvalidate) => {
    if (vue.isRef(delay)) {
      if (typeof delay.value !== "number" || delay.value < 0)
        return;
    } else {
      if (typeof delay !== "number" || delay < 0)
        return;
    }
    if (immediate) {
      fnRef.value();
    }
    const _deply = vue.unref(delay);
    const timer = setInterval(() => {
      fnRef.value();
    }, _deply);
    onInvalidate(() => {
      clearInterval(timer);
    });
  });
}
module.exports = useInterval;
