"use strict";
function useLockFn(fn) {
  let lock = false;
  return async (...args) => {
    if (lock)
      return;
    lock = true;
    try {
      const ret = await fn(...args);
      lock = false;
      return ret;
    } catch (e) {
      lock = false;
      throw e;
    }
  };
}
module.exports = useLockFn;
