"use strict";
const vue = require("vue");
const limit = require("../utils/limit");
const subscribeFocus = require("../utils/subscribeFocus");
const useRefreshOnWindowFocusPlugin = (fetchInstance, { refreshOnWindowFocus, focusTimespan = 5e3 }) => {
  const unsubscribeRef = vue.ref();
  const stopSubscribe = () => {
    var _a;
    (_a = unsubscribeRef.value) == null ? void 0 : _a.call(unsubscribeRef);
  };
  vue.watchEffect((onInvalidate) => {
    if (vue.unref(refreshOnWindowFocus)) {
      const limitRefresh = limit(
        fetchInstance.refresh.bind(fetchInstance),
        vue.unref(focusTimespan)
      );
      unsubscribeRef.value = subscribeFocus(() => {
        limitRefresh();
      });
    }
    onInvalidate(() => {
      stopSubscribe();
    });
  });
  vue.onUnmounted(() => {
    stopSubscribe();
  });
  return {
    name: "refreshOnWindowFocusPlugin"
  };
};
module.exports = useRefreshOnWindowFocusPlugin;
