"use strict";
const useAutoRunPlugin = require("./plugins/useAutoRunPlugin");
const useCachePlugin = require("./plugins/useCachePlugin");
const useDebouncePlugin = require("./plugins/useDebouncePlugin");
const useDevtoolsPlugin = require("./plugins/useDevtoolsPlugin");
const useLoadingDelayPlugin = require("./plugins/useLoadingDelayPlugin");
const usePollingPlugin = require("./plugins/usePollingPlugin");
const useRefreshOnWindowFocusPlugin = require("./plugins/useRefreshOnWindowFocusPlugin");
const useRetryPlugin = require("./plugins/useRetryPlugin");
const useThrottlePlugin = require("./plugins/useThrottlePlugin");
const useRequestImplement = require("./useRequestImplement");
function useRequest(service, options, plugins) {
  var _a;
  const BuiltInPlugins = (_a = [
    process.env.NODE_ENV === "development" ? useDevtoolsPlugin : null,
    useDebouncePlugin,
    useLoadingDelayPlugin,
    usePollingPlugin,
    useRefreshOnWindowFocusPlugin,
    useThrottlePlugin,
    useAutoRunPlugin,
    useCachePlugin,
    useRetryPlugin
  ]) == null ? void 0 : _a.filter(Boolean);
  return useRequestImplement(service, options, [
    ...plugins || [],
    ...BuiltInPlugins
  ]);
}
module.exports = useRequest;
