"use strict";
const vue = require("vue");
function useSet(initialValue) {
  const getInitValue = () => {
    return initialValue === void 0 ? /* @__PURE__ */ new Set() : new Set(initialValue);
  };
  const state = vue.ref(getInitValue());
  const actions = {
    /**
     *  Add item
     * @param value T
     */
    add: (value) => {
      state.value.add(value);
    },
    /**
     *  Remove item
     * @param value T
     */
    remove: (value) => {
      state.value.delete(value);
    },
    /**
     * Set has
     * @param value T
     */
    has: (value) => state.value.has(value),
    /**
     * Clear Set
     */
    clear: () => state.value.clear(),
    /**
     * Reset to default
     */
    reset: () => {
      state.value = getInitValue();
    }
  };
  return [vue.readonly(state), vue.markRaw(actions)];
}
module.exports = useSet;
