"use strict";
const vue = require("vue");
const merge = require("lodash/merge");
function useSetState(initialState) {
  const getInitialState = () => vue.unref(initialState);
  const state = vue.ref(getInitialState());
  const setMergeState = (patch, cover = false) => {
    const newState = vue.unref(patch);
    if (cover)
      state.value = newState;
    else
      state.value = newState ? merge(state.value, newState) : state.value;
  };
  return [vue.readonly(state), setMergeState];
}
module.exports = useSetState;
