"use strict";
const vue = require("vue");
const useWinResize = require("../useWinResize");
const domTarget = require("../utils/domTarget");
function useSize(target) {
  const size = vue.reactive({
    width: 0,
    height: 0
  });
  const getSizeInfo = () => {
    const targetDom = domTarget.getTargetElement(target);
    size.width = (targetDom == null ? void 0 : targetDom.clientWidth) ?? 0;
    size.height = (targetDom == null ? void 0 : targetDom.clientHeight) ?? 0;
  };
  useWinResize(getSizeInfo);
  vue.onMounted(() => {
    setTimeout(() => {
      getSizeInfo();
    }, 120);
  });
  return { ...vue.toRefs(size) };
}
module.exports = useSize;
