"use strict";
const vue = require("vue");
const useThrottleFn = require("../useThrottleFn");
function useThrottle(value, options) {
  const throttled = vue.ref();
  throttled.value = value.value;
  const { run } = useThrottleFn(() => {
    throttled.value = value.value;
  }, options);
  vue.watch(
    value,
    () => {
      run.value();
    },
    {
      immediate: true
    }
  );
  return throttled;
}
module.exports = useThrottle;
