"use strict";
const vue = require("vue");
const isBrowser = require("../utils/isBrowser");
const DEFAULT_OPTIONS = {
  restoreOnUnmount: false
};
function useTitle(title, options = DEFAULT_OPTIONS) {
  const titleRef = vue.ref(isBrowser ? document.title : "");
  if (vue.isRef(title)) {
    vue.watch(title, () => {
      document.title = title.value;
    });
  } else
    document.title = title;
  vue.onMounted(() => {
    document.title = vue.unref(title);
  });
  vue.onUnmounted(() => {
    if (options.restoreOnUnmount) {
      document.title = vue.unref(titleRef);
    }
  });
}
module.exports = useTitle;
