"use strict";
const vue = require("vue");
const isEqual = require("lodash/isEqual");
const useEffectWithTarget = require("./useEffectWithTarget");
const depsEqual = (aDeps, bDeps = []) => {
  return isEqual(aDeps, bDeps);
};
const useDeepCompareEffectWithTarget = (effect, deps, target) => {
  const targetRef = vue.ref();
  const signalRef = vue.ref(0);
  if (!depsEqual(deps, targetRef.value)) {
    targetRef.value = deps;
    signalRef.value += 1;
  }
  useEffectWithTarget(effect, [signalRef], target);
};
module.exports = useDeepCompareEffectWithTarget;
